Contents

# IsUnoStruct Function

Returns True if the given object is a Uno struct.

### Syntax:

IsUnoStruct( Uno type )

### Return type:

Boolean

### Parameters:

Uno type : A UnoObject

### Example:

    Sub Main
    Dim bIsStruct
    ' Instantiate a service
    Dim oSimpleFileAccess
    oSimpleFileAccess = CreateUnoService( "com.sun.star.ucb.SimpleFileAccess" )
    bIsStruct = IsUnoStruct( oSimpleFileAccess )
    MsgBox bIsStruct ' Displays False because oSimpleFileAccess Is NO struct
    ' Instantiate a Property struct
    Dim aProperty As New com.sun.star.beans.Property
    bIsStruct = IsUnoStruct( aProperty )
    MsgBox bIsStruct ' Displays True because aProperty is a struct
    bIsStruct = IsUnoStruct( 42 )
    MsgBox bIsStruct ' Displays False because 42 is NO struct
    End Sub

Please support us!